Search

Please use keywords to search for the support you need, such as "SCORM", "bandwidth", "network". Or, if you prefer, use the form below to simply ask us your question.

Popular Information






* Adobe Flash Player (v10.2 or higher) has to be installed in your browser.

# Win8 & Win10: You will need to update the shortcut on the desktop in order to by-pass Flash Player checking.

^ Win Server 2008 & Win Server 2012: You may need to get a SONY SecuROM patch from Clarity.


To find out the compatibilities of all our programs, please click here.

For Clarity's policy on supporting Flash, see www.clarityenglish.com/flash.






For the detailed information of our programs, please click here for our PDF version.